"use strict";

exports.__esModule = true;
exports.createTask = exports.handleTasks = exports.storeState = exports.removeUser = exports.addUser = exports.handleUser = exports.spawnWorker = exports.handleWorker = exports.updateWorker = exports.updateConfig = exports.updateGlobals = exports.cleanup = exports.error = exports.warn = exports.info = exports.log = void 0;

var workerActions = _interopRequireWildcard(require("./actions/worker"));

var userActions = _interopRequireWildcard(require("./actions/user"));

var taskActions = _interopRequireWildcard(require("./actions/task"));

var globalActions = _interopRequireWildcard(require("./actions/global"));

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj.default = obj; return newObj; } }

const log = globalActions.log;
exports.log = log;
const info = globalActions.info;
exports.info = info;
const warn = globalActions.warn;
exports.warn = warn;
const error = globalActions.error;
exports.error = error;
const cleanup = globalActions.cleanup;
exports.cleanup = cleanup;
const updateGlobals = globalActions.updateGlobals;
exports.updateGlobals = updateGlobals;
const updateConfig = globalActions.updateConfig;
exports.updateConfig = updateConfig;
const updateWorker = workerActions.updateWorker;
exports.updateWorker = updateWorker;
const handleWorker = workerActions.handleWorker;
exports.handleWorker = handleWorker;
const spawnWorker = workerActions.spawnWorker;
exports.spawnWorker = spawnWorker;
const handleUser = userActions.handleUser;
exports.handleUser = handleUser;
const addUser = userActions.addUser;
exports.addUser = addUser;
const removeUser = userActions.removeUser;
exports.removeUser = removeUser;
const storeState = userActions.storeState;
exports.storeState = storeState;
const handleTasks = taskActions.handleTasks;
exports.handleTasks = handleTasks;
const createTask = taskActions.createTask;
exports.createTask = createTask;